import { OnInit, EventEmitter, OnChanges, SimpleChanges, DoCheck } from '@angular/core';
export declare class PenNavbarComponent implements OnInit, OnChanges, DoCheck {
    color: string;
    fullName: string;
    profileImage: string;
    siteLogo: string;
    selectedLanguage: any;
    options: any;
    languageList: Array<any>;
    profileSettingList: Array<any>;
    activityOwnerList: Array<any>;
    leftLinkList: Array<any>;
    rightLinkList: Array<any>;
    clickHomeIcon: EventEmitter<any>;
    clickToggleIcon: EventEmitter<any>;
    selectLanguage: EventEmitter<any>;
    selectProfileSetting: EventEmitter<any>;
    defaultOptions: {
        showHomeIcon: boolean;
        showToggleIcon: boolean;
        showLanguage: boolean;
        showProfileSettings: boolean;
    };
    defaultActivityOwnerList: any[];
    constructor();
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    ngDoCheck(): void;
    onHomeIconClicked(): void;
    onToggleIconClicked(): void;
    onLanguageSelected(lang: any): void;
    onProfileSettingSelected(setting: any): void;
    private getActivityOwnerList(activityOwnerList);
}
